<?php

namespace App\ViewModels\Anamnese\AnamneseAdcionalUpdateViewModel;

use App\Utils\Entity;

class AnamneseAdicionalUpdateViewModel extends Entity {
	
	protected $idPet;
	protected $idTutor;
	protected $idUnidade;
	protected $idProcedimento;
	protected $idFormulario;
	protected $idUsuario;
	protected $idMedico;
	protected $idRquisicao;
	protected $dataCriacao;
	protected $horaCriacao;

	public static function builder():AnamneseAdicionalUpdateViewModelBuilder {

		return new AnamneseAdicionalUpdateViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->idPet;
	}


	/**
	 * @return mixed
	 */
	public function getIdTutor() {

		return $this->idTutor;
	}


	/**
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;
	}


	/**
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->idProcedimento;
	}


	/**
	 * @return mixed
	 */
	public function getIdFormulario() {

		return $this->idFormulario;
	}


	/**
	 * @return mixed
	 */
	public function getIdUsuario() {

		return $this->idUsuario;
	}


	/**
	 * @return mixed
	 */
	public function getIdMedico() {

		return $this->idMedico;
	}


	/**
	 * @return mixed
	 */
	public function getIdRquisicao() {

		return $this->idRquisicao;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;
	}


	/**
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet) {

		$this->idPet = $idPet;
	}


	/**
	 * @param mixed $idTutor
	 */
	public function setIdTutor($idTutor) {

		$this->idTutor = $idTutor;
	}


	/**
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;
	}


	/**
	 * @param mixed $idProcedimento
	 */
	public function setIdProcedimento($idProcedimento) {

		$this->idProcedimento = $idProcedimento;
	}


	/**
	 * @param mixed $idFormulario
	 */
	public function setIdFormulario($idFormulario) {

		$this->idFormulario = $idFormulario;
	}


	/**
	 * @param mixed $idUsuario
	 */
	public function setIdUsuario($idUsuario) {

		$this->idUsuario = $idUsuario;
	}


	/**
	 * @param mixed $idMedico
	 */
	public function setIdMedico($idMedico) {

		$this->idMedico = $idMedico;
	}


	/**
	 * @param mixed $idRquisicao
	 */
	public function setIdRquisicao($idRquisicao) {

		$this->idRquisicao = $idRquisicao;
	}


	/**
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;
	}


	/**
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;
	}



}

